
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.kool.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.Items;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.kool.KoolMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class KoolModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, KoolMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> KOOLTAB = REGISTRY.register("kooltab",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.kool.kooltab")).icon(() -> new ItemStack(Items.NETHERITE_HELMET)).displayItems((parameters, tabData) -> {
				tabData.accept(KoolModItems.KOOL.get());
				tabData.accept(KoolModBlocks.KOOL_ORE.get().asItem());
				tabData.accept(KoolModItems.KOOL_FLUID_BUCKET.get());
				tabData.accept(KoolModItems.KOOLD.get());
				tabData.accept(KoolModItems.KOOLTOOLS_PICKAXE.get());
				tabData.accept(KoolModItems.KOOLTOOLS_AXE.get());
				tabData.accept(KoolModItems.KOOLTOOLS_SWORD.get());
				tabData.accept(KoolModItems.KOOLTOOLS_SHOVEL.get());
				tabData.accept(KoolModItems.KOOLTOOLS_HOE.get());
				tabData.accept(KoolModItems.RAW_KOOL_ORE.get());
				tabData.accept(KoolModItems.OOOOOOOOOOOOOOOOOOOOOOOOOO.get());
				tabData.accept(KoolModItems.PS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.BS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.SLIME_SPAWN_EGG.get());
				tabData.accept(KoolModItems.YS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.MS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.RS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.VS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.GS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.D_GS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.CS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.WS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.V_BS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.L_BS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.TS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.G_GS_SPAWN_EGG.get());
				tabData.accept(KoolModItems.KOOLARMOR_ARMOR_HELMET.get());
				tabData.accept(KoolModItems.KOOLARMOR_ARMOR_CHESTPLATE.get());
				tabData.accept(KoolModItems.KOOLARMOR_ARMOR_LEGGINGS.get());
				tabData.accept(KoolModItems.KOOLARMOR_ARMOR_BOOTS.get());
				tabData.accept(KoolModBlocks.RSRRREORE.get().asItem());
				tabData.accept(KoolModItems.OM.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(KoolModBlocks.KOOL_BLOCK.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_WOOD.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_LOG.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_PLANKS.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_STAIRS.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_SLAB.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_FENCE.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_FENCE_GATE.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_PRESSURE_PLATE.get().asItem());
			tabData.accept(KoolModBlocks.KOOL_WOOD_BUTTON.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.COLORED_BLOCKS) {
			tabData.accept(KoolModItems.WARERO.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(KoolModBlocks.KOOL_WOOD_LEAVES.get().asItem());
			tabData.accept(KoolModBlocks.OMOM.get().asItem());
		}
	}
}
